Pandabase
Store APIsPayouts

Get payout

GET
/stores/{storeId}/payouts/{payoutId}

Retrieves a payout by ID. The response includes the trace ID and expected delivery date once the payout has been dispatched. Requires the PAYOUTS_READ scope.

Authorization

AuthorizationBearer <token>

Bearer token authentication. Pass the secret directly in the Authorization header. Token secrets start with sk_.

In: header

Path Parameters

storeId*string
Length12 <= length <= 48
payoutId*string
Length12 <= length <= 48

Header Parameters

idempotency-key?string
Length8 <= length <= 32

Response Body

application/json

application/json

curl -X GET "https://example.com/stores/stringstring/payouts/stringstring"
{  "ok": true,  "data": {    "id": "pto_n4tr3bcfp2v8q1mzj0kxw5h7",    "amount": 500000,    "fee": 250,    "status": "PROCESSING",    "referenceId": "obp_3OXxxxxx0123456789ABCD",    "payoutMethod": {      "id": "bnk_q1mzj0kxw5h7n4tr3bcfp2v8",      "isPrimary": true,      "status": "APPROVED"    },    "createdAt": "2026-05-13T16:20:00.000Z",    "updatedAt": "2026-05-13T16:21:08.000Z"  }}

Last updated on